/*
** MUPage.h
*/

#ifndef __MUPAGE_INCLUDED
#define __MUPAGE_INCLUDED
 
#include <mupdf/pdf.h>
#include "xTcl_util.h"

typedef struct MUPage_s MUPage;

EXTERN_C  pdf_page*  MUPage_pdf_page(MUPage* mupage);
EXTERN_C  int        MUPage_pageNumber(MUPage* mupage);

EXTERN_C  fz_stext_page* MUPage_fz_stext_page(MUPage* mupage);
EXTERN_C  fz_context* MUPage_fz_context(MUPage* mupage);

EXTERN_C  MUPage* xTcl_GetMUPageFromObj(Tcl_Interp* interp, Tcl_Obj* obj);

EXTERN_C  TclResCode MUPage_Setup(Tcl_Interp *interp);

#endif // __MUPAGE_INCLUDED
